Bug 840662 - Ship CLI with Python support included
Ship CLI with Python support included
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: CLI (Show other bugs)
4.5
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.5.0
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: 840661
  Show dependency treegraph
 
Reported: 2012-07-16 16:48 EDT by Lukas Krejci
Modified: 2013-09-01 06:18 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:18:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukas Krejci 2012-07-16 16:48:49 EDT
Description of problem:

Bug 840661 brings Python into the CLI but the support is not enabled by default because python language "module" is not even built, not to mention packaged with the CLI or the server by default.

This bug is to track the way we are going to integrate python support into the RHQ server and CLI distribution.

Version-Release number of selected component (if applicable):
4.5.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. Install CLI
2. start it like:
rhq-cli.sh --language=python
  
Actual results:
Exception occurs and CLI fails to start up because Python support is not packaged in CLI by default.

Expected results:
The CLI should start up with Python.
Comment 2 Lukas Krejci 2012-08-21 08:38:17 EDT
master http://git.fedorahosted.org/cgit/rhq/rhq.git/diff/?id=2f1ce1944b3307fa790225f91889fc642abfcc0e
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Tue Aug 21 10:57:28 2012 +0200

    [BZ 840662] - Python scripting is now bundled by default with RHQ.
    It can be excluded by explicitely switching off the "bundle-additional-script-languages" profile.
    E.g. mvn clean install -P '!bundle-additional-script-languages'
Comment 3 Heiko W. Rupp 2013-09-01 06:18:57 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.